Skip to main content
Security & Audit/Security

ScanAgent

Scan an agent for CVE vulnerabilities based on its inventory.

GET/api/v1/security/agents/{agentId}/scan

Operation ID

ScanAgent

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • agentId
    StringRequired

    Unique identifier of the agent to scan

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Vulnerability findings discovered on the scanned agent

    Example: (nested array)

    • agentId
      String

      Unique identifier of the agent with this finding

      Example: agent-abc123

    • cveId
      String

      CVE identifier for the discovered vulnerability

      Example: CVE-2021-44228

    • severity
      String

      Severity level of the discovered vulnerability

      Example: CVE_SEVERITY_UNSPECIFIED

    • cvssScore
      Long

      CVSS score for the vulnerability finding

      Example: 9.8

    • affectedPackageName
      String

      Name of the package affected by this vulnerability

      Example: log4j-core

    • installedVersion
      String

      Version of the package currently installed on the agent

      Example: 2.14.1

    • fixVersion
      String

      Version that fixes this vulnerability

      Example: 2.17.0

    • isFixed
      Boolean

      Whether the vulnerability has been patched on this agent

      Example: false

    • scannedAt
      String

      Timestamp when this vulnerability was scanned

      Example: 2026-01-15T08:00:00Z